#include <iostream>
#include <fstream>
using namespace std;

int n;

long long from_ind(long long a, long long b)
{

	if (a<n/2 && b>=a-1 && b<n-a)
		return  4*n*a-4*a*a+b-a+1; //v+(b-(a-1));
	else
		if (b>=n/2 && a>=n-b-1 && a<=b)
		return 4*n*b-4*b*b+2*n-5*b-1+a; //v3+a-(n-b-1); 
		else
			if (a>=n/2 && b>=n-a-1 && b<a)
				return  4*n*a+2*n-4*a*a-3*a-1-b; //v1 + (n-b-1)-(n-a); //
			else
				return  4*n*b-4*b*b+4*n-7*b-3-a; //v2+(n-a-1-b-1); // 
}

int main()
{
	ifstream fin("input.txt");
	ofstream fout("output.txt");

	int a,b;
	fin>>n>>a>>b;
	fout<<from_ind(a-1,b-1);
	fin.close();
	fout.close();
	return 0;
}